Bug 137948 - Kernel panic after a successful installation due to reboot command
Kernel panic after a successful installation due to reboot command
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-02 22:08 EST by Srihari Vijayaraghavan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-15 12:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Srihari Vijayaraghavan 2004-11-02 22:08:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.7.3)
Gecko/20041026 Firefox/1.0RC1

Description of problem:
After a successful installation of FC3, if you execute a reboot
command manually, kernel panics.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot through the Installation CD1
2. Select some kind of build (to demonstrate this problem, "minimal
system" installation type is good enough)
3. Wait for the installation to complete, and when it advises that the
installation is over and asks you press "Reboot" button, do not press
that button. Instead change to virtual console 2 (ctrl+alt+f2)
4. Type in "reboot" (to initiate a manual reboot for example. In my
case it is a old habit of rebooting a machine manually :)

Actual Results:  Kernel panics

Expected Results:  Kernel may not panic, of course :)

Additional info:

The panic message is:
The system is going down NOW!!
Sending SIGTERM to all processes.
Kernel panic - not syncing: VFS: Unable to mount root fs on
unknown-block(8, 3)

I suspect that the installer unmounted root fs when it presented the
reboot option in the GUI. Perhaps it should do that after the user
asks to reboot.

[Alternatively, before preseting the reboot option in the GUI, the
installer may terminate all the console sessions (including the shell
at the virtual terminal 2). It that is a no-no then Installer may not
allow the user to access any other virtual terminals at that time or
have no reboot command at all or advise it is not allowed etc.]

Thank you.
Comment 1 Jeremy Katz 2004-11-03 16:31:39 EST
Fixed in CVS.  Calling /sbin/reboot instead of just reboot will
workaround it.

Note You need to log in before you can comment on or make changes to this bug.